import { UniqueID } from "@/core/common/domain";
import { Collection, Result } from "@repo/rdx-utils";
import { CustomerInvoice } from "../aggregates";

export interface ICustomerInvoiceService {
  findCustomerInvoices(transaction?: any): Promise<Result<Collection<CustomerInvoice>, Error>>;
  findCustomerInvoiceById(invoiceId: UniqueID, transaction?: any): Promise<Result<CustomerInvoice>>;
}
